## net.dontdrinkandroot.lastfm.api.cache
Class DiskCache

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.cache.DiskCache

All Implemented Interfaces:
  Cache

    public class DiskCache

extends java.lang.Object
implements Cache

Constructor Summary
`DiskCache()`
`DiskCache(java.io.File baseDir)`

Method Summary

`

`<T extends java.io.Serializable> T`

`

`get(java.lang.String id)`

`

`<T extends java.io.Serializable> T`

`

`put(java.lang.String id, T data, long timeToLive)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiskCache

    public DiskCache()

### DiskCache

    public DiskCache(java.io.File baseDir)

Method Detail

### get

    public <T extends java.io.Serializable> T get(java.lang.String id)

  Specified by:
    `get` in interface `Cache`

### put

    public <T extends java.io.Serializable> T put(java.lang.String id,
                                                  T data,
                                                  long timeToLive)

  Specified by:
    `put` in interface `Cache`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.